From 400e4b157a9eafd51615c2e5e0730c06e1b1e6a6 Mon Sep 17 00:00:00 2001
From: Gabriele Musco <gabmus@disroot.org>
Date: Sun, 10 Dec 2023 12:22:39 +0000
Subject: [PATCH 54/54] fix: missing icons

---
 Makefile                                          | 1 +
 lact-gui/src/app/root_stack/mod.rs                | 4 ++--
 res/io.github.lact-linux.thermometer-symbolic.svg | 2 ++
 3 files changed, 5 insertions(+), 2 deletions(-)
 create mode 100644 res/io.github.lact-linux.thermometer-symbolic.svg

diff --git a/Makefile b/Makefile
index 14ead4a7..5cc844ea 100644
--- a/Makefile
+++ b/Makefile
@@ -17,6 +17,7 @@ install:
 	install -Dm644 res/io.github.lact-linux.desktop $(DESTDIR)$(PREFIX)/share/applications/io.github.lact-linux.desktop
 	install -Dm644 res/io.github.lact-linux.png $(DESTDIR)$(PREFIX)/share/pixmaps/io.github.lact-linux.png
 	install -Dm644 res/io.github.lact-linux.svg $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/io.github.lact-linux.svg
+	install -Dm644 res/io.github.lact-linux.thermometer-symbolic.svg $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/status/io.github.lact-linux.thermometer-symbolic.svg
 
 uninstall:
 	rm $(DESTDIR)$(PREFIX)/bin/lact
diff --git a/lact-gui/src/app/root_stack/mod.rs b/lact-gui/src/app/root_stack/mod.rs
index 0c0333fe..f48999f3 100644
--- a/lact-gui/src/app/root_stack/mod.rs
+++ b/lact-gui/src/app/root_stack/mod.rs
@@ -52,7 +52,7 @@ impl RootStack {
                 &info_page.container,
                 Some("info_page"),
                 "Information",
-                "info-symbolic",
+                "preferences-system-details-symbolic",
             );
             container.add_titled_with_icon(
                 &oc_page.container,
@@ -64,7 +64,7 @@ impl RootStack {
                 &thermals_page.container,
                 Some("thermals_page"),
                 "Thermals",
-                "temperature-symbolic",
+                "io.github.lact-linux.thermometer-symbolic",
             );
             container.add_titled_with_icon(
                 &software_page,
